Package org.apache.sling.caconfig.spi

## Interface ConfigurationMetadataProvider

    @ConsumerType
    public interface ConfigurationMetadataProvider

Allows applications to provide the necessary metadata for configurations.

### Method Summary

All Methods Instance Methods Abstract Methods
`@Nullable ConfigurationMetadata` `getConfigurationMetadata​(String configName)` Get configuration metadata.
`@NotNull SortedSet<String>` `getConfigurationNames()` Get all configuration names.

### Method Detail

#### getConfigurationNames

    @NotNull
    @NotNull SortedSet<String> getConfigurationNames()

Get all configuration names.

Returns:
  Configuration names

#### getConfigurationMetadata

    @Nullable
    @Nullable ConfigurationMetadata getConfigurationMetadata​(String configName)

Get configuration metadata.

Parameters:
  `configName` - Configuration name
Returns:
  Configuration metadata or null if none exists for the given name.